#ifndef _EDITOR_H_
#define _EDITOR_H_

#include "screen.h"
#include "button.h"

class TileMap;
class Image;

class Editor : public Screen {
	public:
	
	Editor ();
	~Editor ();
	
	void handleInput (SDL_Event& event);
	void keyDown (SDL_Event& event);
	void mouseDown (SDL_Event& event);
	
	void init () {}
	void update();
	void draw() const;
	
	void promptSave ();
	
	// Some of this should probably be private
	
	TileMap* tileMap;

	Image* tileSet;
	Image* background;

	char* filename;

	bool changed;

	unsigned int tileIndex;

	int ix;
	int iy;
	
	// can the user place something where the mouse currently is?
	bool valid;
	
	static bool prompt;
	static bool reallyQuit;
	
	void saveToFile ();
	
	Image* promptImage;
	
	Button* quitButton;
	Button* dontQuitButton;
	Button* saveButton;
	Button* playButton;
	
	static void quitAction (Button* b);
	static void dontQuitAction (Button* b);
	
	static void playAction (Button* b);
	static void saveAction (Button* b);
};

#endif
