#ifndef _LEVEL_H_
#define _LEVEL_H_

#include "player.h"
#include "tile.h"
#include "screen.h"

#include <list>

class MovingEntity;

class Level : public Screen {
	public:
	
	static const int WIDTH = 25;
	static const int HEIGHT = 20;
	
	Level (int tileData[WIDTH][HEIGHT]);
	~Level();
	
	virtual bool deletable () const { return true; }
	
	Tile* getTile (int x, int y) { return tiles[x % Tile::WIDTH][y % Tile::HEIGHT]; }
	Entity* findEntity (int x, int y, Entity* asker);
	
	Player* getPlayer () { return player; }
	
	void handleInput (SDL_Event& event);
	void keyDown (SDL_Event& event);
	
	void update ();
	void draw () const;
	
	static Level* current () { return s_activeLevel; }
	
	int babiesAlive;
	
	private:
	
	Tile* tiles[WIDTH][HEIGHT];
	Player* player;
	
	std::list<MovingEntity*> entities;
	
	static Level* s_activeLevel;
	
	int endDelay;
	
	void draw (int i) const;
};

#endif

