#ifndef _MOVING_BLOCK_H_
#define _MOVING_BLOCK_H_

#include "moving_entity.h"
#include "tile.h"

class MovingBlock : public MovingEntity {
	public:
	
	MovingBlock (int type, float x, float y) : MovingEntity(x, y), type(type) {
		image = ImageMap::get("tiles");
		frame = type;
	}
	
	~MovingBlock () {};
	
	void update () { updateY(); }

	int offsetL () const { return 1; }
	int offsetR () const { return 32; }
	int offsetT () const { return 0; }
	int offsetB () const { return 32; }

	int getLayer() const { return Tile::MIDDLEGROUND; };
	int getType() const { return type; };

	private:
	
	int type;
};

#endif

