#ifndef _PARENT_H_
#define _PARENT_H_

#include "moving_entity.h"
#include "tile.h"

class Parent : public MovingEntity {
	public:
	
	Parent (int type, float x, float y) : MovingEntity(x, y), type(type) {
		switch (type) {
			case Tile::MUM:
				image = ImageMap::get("mum");
			break;
			case Tile::DAD:
				image = ImageMap::get("dad");
			break;
		}
	}
	
	~Parent () {};
	
	void update () { updateY(); }

	int offsetL () const { return 7; }
	int offsetR () const { return 25; }
	int offsetT () const { return 4; }
	int offsetB () const { return 64; }

	int getLayer() const { return Tile::MIDDLEGROUND; };
	int getType() const { return type; };
	
	virtual bool pushable () const { return false; }

	private:
	
	int type;
};

#endif

