#ifndef _SPLASHSCREEN_H_
#define _SPLASHSCREEN_H_

#include "image.h"
#include "imagemap.h"
#include "main.h"
#include "button.h"

class SplashScreen : public Screen {

	public:
	
	SplashScreen () : timer(0) {}
	
	void handleInput (SDL_Event& event) {
		switch (event.type) {
			case SDL_KEYDOWN:
				transitionTo(titleScreen);
			break;
			case SDL_MOUSEBUTTONDOWN:
				transitionTo(titleScreen);
			break;
			case SDL_QUIT:
				exit(0);
			break;
		}
	}
	
	void update () {
		timer++;
		
		if (timer > 60) {
			transitionTo(titleScreen);
		}
	}
	
	void draw() const {
		ImageMap::get("background")->draw(0, 0);
		
		ImageMap::get("splash")->draw(80, 74);
	};
	
	int timer;
};

#endif
