#include "tilemap.h"
#include "editor.h"
#include <fstream>

// Creates a new TileMap, with all tiles initialised to 0.
TileMap::TileMap(const char* filename, bool& fileExisted) {
	std::ifstream file(filename);
	if (file.is_open()) {
		for (int y = 0; y < TileMap::HEIGHT; y++) {
				for (int x = 0; x < TileMap::WIDTH; x++) {
				file >> tileArray[x][y];
			}
		}
		fileExisted = true;
	} else {
		clear();
		
		fileExisted = false;
	}	
}

// Creates a new TileMap, with all tiles initialised to 0.
void TileMap::clear() {
	
	for (int y = 0; y < TileMap::HEIGHT; y++) {
			for (int x = 1; x < TileMap::WIDTH - 1; x++) {
			tileArray[x][y] = 0;
		}
		
		tileArray[0][y] = 1;
		tileArray[24][y] = 1;
	}
	
	for (int x = 0; x < TileMap::WIDTH; x++) {
		tileArray[x][0] = 1;
		tileArray[x][19] = 1;
	}
}

