#ifndef _ANIMATION_H_
#define _ANIMATION_H_

class Animation {
	public:
	
	Animation (int time, int count)
		: times(new int[count]), frames(new int[count]), count(count), i(0), delay(time), reset(0)
	{
		for (int j = 0; j < count; j++) {
			times[j] = time;
			frames[j] = j;
		}
	}
	
	Animation (int* times, int count)
		: times(times), frames(new int[count]), count(count), i(0), delay(times[0]), reset(0)
	{
		for (int j = 0; j < count; j++) {
			frames[j] = j;
		}
	}
	
	Animation (int* times, int* frames, int count)
		: times(times), frames(frames), count(count), i(0), delay(times[0]), reset(0) {}
	
	~Animation () {
		delete[] times;
		delete[] frames;
	}
	
	void update () {
		delay--;
		
		if (delay < 0) {
			i++;
			
			if (i >= count) {
				i = reset;
			}
			
			delay = times[i];
		}
	}
	
	void setLoopStart (int f) { reset = f; }
	
	int getFrame () const { return frames[i]; }
	
	protected:
	
	int* times;
	int* frames;
	int count;
	
	int i;
	int delay;
	int reset;
};

#endif

