#ifndef _IMAGE_H_
#define _IMAGE_H_

#include "SDL.h"

class Image {
	public:
	
	Image (const char* file, int splitWidth = -1);
	
	void draw (int x, int y) const { drawFrame(0, x, y, false); }
	
	void drawFrame (int i, int x, int y, bool flip = false) const;
	
	int getWidth () const { return width; }
	int getHeight () const { return height; }
	
	/** Number of subimages */
	int getCount () const { return count; }
	
	SDL_Surface* getSurface () const { return image; }
	
	protected:
	
	SDL_Surface* image;
	int width;
	int height;
	int count;
};

#endif

