#ifndef _WINDOW_H_
#define _WINDOW_H_

#include "SDL.h"

struct SDL_Surface;

class Window {
	public:
	
	static bool init ();
	static bool init (const int w, const int h);
	static bool init (const int w, const int h, const char* title);
	
	static int width () { return s_width; }
	static void setWidth (const int w);
	
	static int height () { return s_height; }
	static void setHeight (const int h);
	
	static void resize (const int width, const int height);
	
	static bool isResizable () { return s_resizable; }
	static void setResizable (bool b);
	
	static bool isFullscreen () { return s_fullscreen; }
	static void setFullscreen (bool b);
	static void toggleFullscreen ();
	
	static bool setTitle (const char* title);

	static SDL_Surface* getSurface () { return s_screen; }
	
	// Makes it easier to hack stuff: should always be reset to the one SDL gives us
	static void setSurface (SDL_Surface* s) { s_screen = s; }
	
	private:
	
	static bool reset ();
	
	static bool s_ready;
	
	static int s_width;
	static int s_height;
	
	static int s_fullscreen_width;
	static int s_fullscreen_height;
	
	static int s_old_width;
	static int s_old_height;
	
	static bool s_resizable;
	static bool s_fullscreen;
	
	static SDL_Surface* s_screen;
};

#endif

